<!DOCTYPE html>
<html>
<head>
  <title> Handlebars</title>
  <script src="handlebars-v4.7.6.js"></script>
</head>
<body>
 
<div id="contentDiv"></div>
 
<script id="the-template" type="text/x-handlebars-template">
 


  <h3>{{title}}</h3>

  <div> {{hateData.quote}}  {{title}} </div> <br />
  {{#with hateData}}
    <div>{{{who}}} am {{{ WhatIamDoing}}} {{{whom}}}</div>


  {{/with}}

 



 
</script>
 
<script type="text/javascript">

var templateInfo = document.getElementById("the-template").innerHTML;
 

  var template = Handlebars.compile(templateInfo);
 
  Handlebars.registerHelper('with', function(context, options) {
  
    return options.fn(context);
  });
 
 
  var templateData = template({
    title: "Hateness",
  hateData: {
   who: "I ",
   WhatIamDoing: "hating",
   whom:"you",
   quote:"quote"
  }
  });
 
  document.getElementById('contentDiv').innerHTML += templateData;
 
 
</script>
 
</body>
</html>